> ## Documentation Index
> Fetch the complete documentation index at: https://www.thundercompute.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List organization sandbox logs



## OpenAPI

````yaml https://api.thundercompute.com:8443/openapi.json get /sandboxes/logs
openapi: 3.1.0
info:
  contact:
    email: support@thundercompute.com
    name: Thunder Compute API Support
    url: https://thundercompute.com/support
  description: Retrieve current GPU availability using mode-less spec keys
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Thunder Compute API
  version: '1.0'
servers:
  - description: Production server
    url: https://api.thundercompute.com:8443/v1
  - description: Production server
    url: https://api.thundercompute.com:8443
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /sandboxes/logs:
    get:
      tags:
        - Sandboxes
      summary: List organization sandbox logs
      parameters:
        - description: Page size (maximum 100)
          in: query
          name: limit
          schema:
            type: integer
        - description: Opaque continuation token
          in: query
          name: page_token
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/thundertypes.SandboxLogListResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/thundertypes.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/thundertypes.ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/thundertypes.ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/thundertypes.ErrorResponse'
          description: Not Found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    thundertypes.SandboxLogListResponse:
      properties:
        logs:
          items:
            $ref: '#/components/schemas/thundertypes.SandboxLog'
          type: array
          uniqueItems: false
        next_page_token:
          type: string
      type: object
    thundertypes.ErrorResponse:
      properties:
        code:
          example: 400
          type: integer
        error:
          example: invalid_request
          type: string
        message:
          example: The request is malformed
          type: string
      type: object
    thundertypes.SandboxLog:
      properties:
        data:
          $ref: '#/components/schemas/thundertypes.SandboxLogData'
        event:
          $ref: '#/components/schemas/thundertypes.SandboxLogEvent'
        id:
          type: string
        sandbox_id:
          type: string
        timestamp:
          type: string
      required:
        - event
        - id
        - sandbox_id
        - timestamp
      type: object
    thundertypes.SandboxLogData:
      properties:
        message:
          type: string
        node_name:
          type: string
        phase:
          type: string
      type: object
    thundertypes.SandboxLogEvent:
      enum:
        - created
        - scheduled
        - started
        - ready
        - finished
        - failed
        - info
      type: string
      x-enum-varnames:
        - SandboxLogEventCreated
        - SandboxLogEventScheduled
        - SandboxLogEventStarted
        - SandboxLogEventReady
        - SandboxLogEventFinished
        - SandboxLogEventFailed
        - SandboxLogEventInfo
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Bearer token authentication. Provide your API token prefixed with
        "Bearer ", e.g. "Bearer your-api-token".
      in: header
      name: Authorization
      type: apiKey

````